Main Restorations Software Audio/Jukebox/MP3 Everything Else Buy/Sell/Trade
Project Announcements Monitor/Video GroovyMAME Merit/JVL Touchscreen Meet Up Retail Vendors
Driving & Racing Woodworking Software Support Forums Consoles Project Arcade Reviews
Automated Projects Artwork Frontend Support Forums Pinball Forum Discussion Old Boards
Raspberry Pi & Dev Board controls.dat Linux Miscellaneous Arcade Wiki Discussion Old Archives
Site News

Unread posts | New Replies | Recent posts | Rules | Chatroom | Wiki | File Repository | RSS | Submit news


  

Author Topic: Error: Your graphics card does not support non-power-of-two textures  (Read 430 times)

0 Members and 1 Guest are viewing this topic.

metwar

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 11
  • I want to build my own arcade controls!
Hola a todos! Estaría muy agradecido de que alguien pudiera ayudarme con esto,
No se ejecuta groovymame 0.189 porque aparece un error.

Los datos de mi PC son:
Placa base Asus A7N8X-E Deluxe AGP
Micro: Athon XP 2400+
512 Mb Ram DDR 400
Ati Radeon 9200 modificada para 15KHz
CRT Emudriver 1.2b (Catalyst 6.5) for Windows XP-32
TV CRT
Windows XP SP3 (MiniOS 2017)

Sé que es un equipo antiguo para los juegos de mame mas pesados, que irán muy lentos, pero muchos corren bien (sobre  groovymame v0.149). Ahora he actualizado a la v0.189 y aparece este error: Direct3D Error: Your graphics card does not support non-power-of-two textures.
 
He leido que se puede solucionar desactivando esta comprobacion en el codigo fuente de Goovymame y compilando.
Pero no tengo idea de como hacerlo si fuese esa la solución.

Por favor, si alguien lo podido solucionar (sin comprar un equipo nuevo), ¿podrías ayudarme?

Gracias. Saludos

Muy agradecido a todo el equipo. Especialmente a Calamity. Gracias

PD. Please, sorry for talking in Spanish, my English is not very good. Thanks

metwar

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 11
  • I want to build my own arcade controls!
Re: Error: Your graphics card does not support non-power-of-two textures
« Reply #1 on: October 17, 2017, 02:25:08 pm »
With ATI Radeon X1900GT PCIe ocurr the same problem.

yuuyuubaishu

  • Trade Count: (0)
  • Jr. Member
  • **
  • Offline Offline
  • Posts: 3
  • I want to build my own arcade controls!
Re: Error: Your graphics card does not support non-power-of-two textures
« Reply #2 on: October 25, 2017, 11:28:48 am »
it is the same with my ati x600.
when you use a normal mame0.189 and you will get the issue,too.
so I guess the older ati card hardware can't support new version mame.

« Last Edit: October 25, 2017, 11:31:15 am by yuuyuubaishu »

Calamity

  • Moderator
  • Trade Count: (0)
  • Full Member
  • *****
  • Offline Offline
  • Posts: 5615
Re: Error: Your graphics card does not support non-power-of-two textures
« Reply #3 on: October 25, 2017, 12:52:15 pm »
In src\osd\modules\render\drawd3d.cpp, comment out the following lines:

Code: [Select]
if (caps.TextureCaps & D3DPTEXTURECAPS_NONPOW2CONDITIONAL)
{
osd_printf_error("Direct3D Error: Your graphics card does not fully support non-power-of-two\n");
osd_printf_error("textures.\n");
success = false;
}

if (caps.TextureCaps & D3DPTEXTURECAPS_POW2)
{
osd_printf_error("Direct3D Error: Your graphics card does not support non-power-of-two textures.\n");
success = false;
}
if (caps.TextureCaps & D3DPTEXTURECAPS_SQUAREONLY)
{
osd_printf_error("Direct3D Error: Your graphics card does not support non-square textures.\n");
success = false;
}

Like this:
Code: [Select]
/*
if (caps.TextureCaps & D3DPTEXTURECAPS_NONPOW2CONDITIONAL)
{
osd_printf_error("Direct3D Error: Your graphics card does not fully support non-power-of-two\n");
osd_printf_error("textures.\n");
success = false;
}

if (caps.TextureCaps & D3DPTEXTURECAPS_POW2)
{
osd_printf_error("Direct3D Error: Your graphics card does not support non-power-of-two textures.\n");
success = false;
}
if (caps.TextureCaps & D3DPTEXTURECAPS_SQUAREONLY)
{
osd_printf_error("Direct3D Error: Your graphics card does not support non-square textures.\n");
success = false;
}
*/

Build your custom MAME binary or find someone to do it for you.

Important note: posts reporting GM issues without a log will be IGNORED.
Steps to create a log:
 - From command line, run: groovymame.exe -v romname >romname.txt
 - Attach resulting romname.txt file to your post, instead or pasting it.

CRT Emudriver, VMMaker & Arcade OSD downloads, documentation and discussion:  Eiusdemmodi

metwar

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 11
  • I want to build my own arcade controls!
Re: Error: Your graphics card does not support non-power-of-two textures
« Reply #4 on: October 27, 2017, 04:14:34 am »
Thanks, very much. I'll try, I hope to be successful

metwar

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 11
  • I want to build my own arcade controls!
Re: Error: Your graphics card does not support non-power-of-two textures
« Reply #5 on: October 27, 2017, 05:15:01 am »
I'm serching for source code of groovymame 0.185 32 bit, but can't find it.

Amplifuzz

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 10
  • I want to build my own arcade controls!
Re: Error: Your graphics card does not support non-power-of-two textures
« Reply #6 on: October 27, 2017, 02:50:01 pm »
I guess you'll need the official 0.185 source code package from the MAME website, and then apply the .diff patch from the same GM version, at:

https://drive.google.com/drive/folders/0B1vsJyOrRLuceENhSE5xM2VQcmM

then choose to build a 32 bit .exe at compile time.




metwar

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 11
  • I want to build my own arcade controls!
Re: Error: Your graphics card does not support non-power-of-two textures
« Reply #7 on: October 28, 2017, 07:12:10 am »
Groovymame 0.185 Working on my ATI 9200 AGP!!!! No error messages. Thanks, very much for helpme.

  
 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31